1 Reply Latest reply on Apr 4, 2013 6:24 AM by Tomaz Cerar

    Upgrade Hornetq from 2.2.13 to last version 2.3.0 CR2

    execretor Newbie

      Hi everyone.

       

      I  have a problem with stomp.js library. I want to do this:

       

      -create jboss 7 jms non-durable topic queue

      -create html5/javascript page

      -use stomp.js library for subscribe in my queue and receive messages.

       

       

      When i tested my first program I had a problem with connection. stomp.js return error "Lost connection...oops!".

      With google I find an article that explain how to solve this error. Apparently hornetq 2.2.13 version doesn't support the html stomp client and there is a fix in the next version(included into new JBoss version).

       

       

      But, how can I upgrade hornetq version? I have downloaded the new version,but in the lib folder there are a lot of .jar files. In the modules jboss folder there are only 2 files.

      What can I do to upgrade my version? Remember, I can not wait for new Jboss version.

       

       

       

      Thanks for any advice